package com.ywt.outpatient.domain.models.enums;

/**
 * @author Walker
 * Created on 2022/6/20
 */
public enum MedInsTypeEnum {
    UNKNOWN("未知医保类型", 0),
    GZYB("广州医保", 1), // 广州医保，最早上线的医保类型，包括：广州医保新、广州医保生育新、广州医保门慢新、广州医保门特新 等
    SZYB("市直医保", 2),
    SNZYB("省直医保", 3),
    ;

    private final String displayName;

    private final int value;

    MedInsTypeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static MedInsTypeEnum valueOf(int value) {
        for (MedInsTypeEnum e : MedInsTypeEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return UNKNOWN;
    }
}